<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServicePortfolio StructType
 * @subpackage Structs
 */
class ServicePortfolio extends AbstractStructBase
{
    /**
     * The ServicePortfolioRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServicePortfolioRQ
     */
    public $ServicePortfolioRQ;
    /**
     * Constructor method for ServicePortfolio
     * @uses ServicePortfolio::setServicePortfolioRQ()
     * @param \StructType\JP_ServicePortfolioRQ $servicePortfolioRQ
     */
    public function __construct(\StructType\JP_ServicePortfolioRQ $servicePortfolioRQ = null)
    {
        $this
            ->setServicePortfolioRQ($servicePortfolioRQ);
    }
    /**
     * Get ServicePortfolioRQ value
     * @return \StructType\JP_ServicePortfolioRQ|null
     */
    public function getServicePortfolioRQ()
    {
        return $this->ServicePortfolioRQ;
    }
    /**
     * Set ServicePortfolioRQ value
     * @param \StructType\JP_ServicePortfolioRQ $servicePortfolioRQ
     * @return \StructType\ServicePortfolio
     */
    public function setServicePortfolioRQ(\StructType\JP_ServicePortfolioRQ $servicePortfolioRQ = null)
    {
        $this->ServicePortfolioRQ = $servicePortfolioRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServicePortfolio
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
